/**********************************************************************************************
										@-Elemente
**********************************************************************************************/
/*Einbinden von Google-Fonts-Schriftarten*/
@import 'https://fonts.googleapis.com/css?family=Open+Sans:300,400';

/**********************************************************************************************
										HTML TAGs
**********************************************************************************************/
/***Kontrollbereich des Musikplayers***/
body .player .head .front, .player .head .infos, .player .timeline .controllers, .player .timeline .controllers .pause, .player .timeline .controllers .play 
{
  display: flex;
  justify-content: center;
  align-items: center;
}

/***********************************************************************************************
										Klassen
***********************************************************************************************/
/***Gesamter Musikplayerbereich***/
.player /*Musikplayer*/
{
  border-radius: 6px;
  background-color: white;
  width: 22.3%;
  min-width: 140px;
  min-height: 200px;
  box-shadow: 0px 5px 20px 2px rgba(0, 0, 0, 0.2);
  overflow: hidden;
  margin-left: 20px;
  margin-right: 20px;
  margin-top: 20px;
}

/***Kopfbereich***/
.player .head /*Kopf*/
{
  color: white;
  text-shadow: 0px 0px 2px rgba(0, 0, 0, 0.3);
  height: 200px;
  width: 100%;
  position: relative;
  overflow: hidden;
}

.player .head .front /*Vordergrund des Kopfes*/
{
  position: relative;
  height: 100%;
  justify-content: space-around;
}

.player .head .back /*Hintergrund des Kopfes*/
{
  height: 110%;
  width: 110%;
  top: -10px;
  left: -10px;
  position: absolute;
  background-position: center;
  background-size: cover;
  -webkit-filter: blur(5px);
  filter: blur(5px);
}

.player .head .infos /*Informationen*/
{
  flex-direction: column;
  height: inherit;
}

.player .head .tags /*Stichwörter*/
{
  border-radius: 3px;
  padding: 2px 11px;
  margin: 1px 2px;
  width: 80px;
  background-color: #15A58B;
  font-weight: bold;
}

.player .head .title /*Titel*/
{
  font-size: 30px;
  text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.75);
}

.player .head .artist /*Künstler*/
{
  font-size: 20px;
  color: white;
  margin-bottom: 20px;
  text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.75);
}

.player .head .length /*Länge*/
{
  font-size: 20px;
  color: white;
  text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.75);
}

.player .head .time /*Aktuelle Zeit*/
{
  font-size: 20px;
  color: white;
  margin-bottom: 8px;
  text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.75);
}

/***Zeitleiste (inkl. Steuerungen)***/
.player .timeline /*Zeitleistenbereich*/
{
  height: auto;
  width: 100%;
  position: relative;
  display: flex;
  justify-content: center;
  flex-direction: column;
}

.player .timeline .controllers .pause, .player .timeline .controllers .play /*Steuerungen*/
{
  font-size: 16px;
  margin: 10px;
  color: #4A4A4A;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  border: 1px solid transparent;
}

.player .timeline .soundline /*Prozessleiste des Players*/
{
  width: 100%;
  height: 6px;
  position: relative;
  background: #F3F3F3;
  border-radius: 2px;
  overflow: hidden;
}

.player .timeline .soundline .soundline-inner /*Prozessbalken des Players*/
{
  width: 0%;
  height: 6px;
  position: relative;
  background: rgb(24, 197, 197);
  border-radius: 2px;
  overflow: hidden;
}

/***********************************************************************************************
										Pseudoklassen
***********************************************************************************************/
/***Zeitleiste***/
.player .timeline .soundline::after /*Prozessleiste nachdem der Inhalt eingefügt wurde*/
{
  display: block;
  position: absolute;
  content: '';
  top: 0;
  left: 0;
  width: 0%;
  height: 100%;
  background: #6CE59C;
  box-shadow: 0px 0px 9px #94FFBF;
  transition: all 0.4s cubic-bezier(0.07, 0.82, 0.11, 1.02);
  animation: 20s soundline infinite both linear;
}

.player .timeline .controllers .play:hover, .player .timeline .controllers .pause:hover /*Steuerungen beim anvisieren*/
{
  box-shadow: 0px 0px 10px 2px rgba(30, 177, 150, 0.38);
  border: 2px solid rgba(143, 208, 196, 0.54) !important;
  cursor: pointer;
}

.player .timeline .controllers .pause::after /*Inhalt des Pause Steuerelements*/
{
  content: '\f04c';
  font-family: 'FontAwesome';
}

.player .timeline .controllers .play::after /*Inhalt des Start Steuerelements*/
{
  content: '\f04b';
  font-family: 'FontAwesome';
}
